Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 2.3SynchronousAuth Required
UpdateSNSTopic
UpdateSNSTopic
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatesnstopicObjectRequiredupdatesnstopic request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
localeStringOptional. The internalization language.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/sns/topics/{uuid}/actions
/zstack/v1/sns/topics/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/topics/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnstopic":{"name":"<name>","description":"<description>","locale":"<locale>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "1a688d109d5e4f1b90a2b1b6b7d90c07", "name": "new name", "state": "Enabled", "locale": "zh_CN", "createDate": "Dec 25, 2023 2:06:14 PM", "lastOpDate": "Dec 25, 2023 2:06:14 PM" } }Change History
This API has no change history records yet.
